function [eVecL2,eVecH1,eVal]=errors(Th,numEigsVec,numEigsVal,exEigsVec,exEigsVal,varargin)
  % only for real?
  p = inputParser; 
  p.addParameter('graphics',false,@islogical); % select labels to draw
  p.parse(varargin{:});
  R=p.Results;
  
  NumEigs=length(numEigsVal);
  Lop=Loperator(Th.dim,Th.d,{1,0;0,1},[],[],[]);
  bvp=BVP(Th,PDEelt(Lop));
  Stiff=bvp.Assembly();
  Lop=Loperator(Th.dim,Th.d,[],[],[],1);
  bvp=BVP(Th,PDEelt(Lop));
  Mass=bvp.Assembly();
  for i=1:NumEigs
    ME=FEM.NormL2(Th,numEigsVec(:,i),'Mass',Mass);
    MF(i)=FEM.NormL2(Th,exEigsVec(:,i),'Mass',Mass);
    numEigsVec(:,i)=numEigsVec(:,i)*MF(i)/ME; %rescale
    if exEigsVec(:,i)'*numEigsVec(:,i)<0 % sign
      %exEigsVec(:,i)=-exEigsVec(:,i);
      numEigsVec(:,i)=-numEigsVec(:,i);
    end
    
    if R.graphics
      figure(2*i)
      Th.plot(numEigsVec(:,i))
      axis off;axis image;hold on
      Th.plotiso(numEigsVec(:,i),'isorange',0,'plan',true,'Color','k','LineWidth',1)
      title(sprintf('\\lambda=%.3f (num.)',numEigsVal(i)),'interpreter','tex')
      shading interp
      colorbar
      figure(2*i+1)
      Th.plot(abs(exEigsVec(:,i)-numEigsVec(:,i)))
      axis off;axis image
      title(sprintf('\\lambda=%.3f (ex.)',exEigsVal(i)),'interpreter','tex')
      colormap('jet')
      shading interp
      colorbar
    end
    eVecL2(i)=FEM.NormL2(Th,exEigsVec(:,i)-numEigsVec(:,i),'Mass',Mass)/FEM.NormL2(Th,exEigsVec(:,i),'Mass',Mass);
    eVecH1(i)=FEM.NormH1(Th,exEigsVec(:,i)-numEigsVec(:,i),'Mass',Mass,'Stiff',Stiff)/FEM.NormH1(Th,exEigsVec(:,i),'Mass',Mass,'Stiff',Stiff);
    eVal(i)=abs(exEigsVal(i)-numEigsVal(i))/abs(exEigsVal(i));
  end
end